EDIT - feature request #4896

Bulkeditor: deduplication of objects of different type
05/07/2015 09:45 AM - Katja Luther

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: TaxEditor RELEASE 3.6.0

Severity: normal

Description

it should be possible to merge objects of different type, for example team and person. The functionality already exist in the library but
has to be implemented in the editor.

#4768, #3286, #4769, #4770

Related issues:
Copied to EDIT - feature request #9361: Give more specific information why pe... New

History

#1 - 05/18/2015 12:16 PM - Katja Luther
- Status changed from New to Resolved

- Assignee changed from K.luther - to Andreas Mdiller

is implemented in r23831

#2 - 05/27/2015 04:14 PM - Andreas Miuller

- Assignee changed from Andreas Miiller to k.luther -

Mail Walter:

java.lang.IllegalArgumentException: Object can not be merged into new object as it is referenced in a way that
does not allow merging

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.DeduplicationHelper.merge (DeduplicationHe
lper.java:147)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmGenericDaoImpl.merge (CdmGenericDaoImpl
.java:406)

at eu.etaxonomy.cdm.api.service.CommonServiceImpl.merge (CommonServiceImpl. java:218)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at

This should not happen. We do have the ICommonService.isMergeable(T cdmBase1, T cdmBase2, IMergeStrategy mergeStrategy) method which
allows catching these cases before the merge and handling them in a more appropriate user dialog. We should explain the user in human readable
way why the merging is not possible.

DISCUSS: Should isMergeable return more information about the cause why certain cases are not mergeable?

#3 - 09/02/2015 11:54 AM - Katja Luther

- Assignee changed from k.luther - to Andreas Miiller

the merge of team and person are now possible with r25416 and isMergeable is called before.

#4 - 09/02/2015 12:30 PM - Katja Luther

r25423 for more information why the convertion was aborted, but | think this is only a workaround. the ismergeable Method should return the

exception so the Handler can handle the different exceptions differently.

#5 - 12/22/2020 08:50 PM - Andreas Miuller

- Copied to feature request #9361: Give more specific information why person can not be converted to team added
https://dev.e-taxonomy.eu/redmine/issues/4769
https://dev.e-taxonomy.eu/redmine/issues/4770

#6 - 12/22/2020 08:52 PM - Andreas Miiller

- Description updated

- Status changed from Resolved to Closed

- Assignee changed from Andreas Miiller to Katja Luther
- % Done changed from 0 to 100

- Private changed from Yes to No

Generally this works. Open issue is handled in #9361
